[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/man/devel man-1.6d-i18n_makewhatis.patch, NONE, 1.1 .cvsignore, 1.10, 1.11 man-1.5p-pipe_makewhatis.patch, 1.2, 1.3 man-1.6b-rpm.patch, 1.1, 1.2 man.spec, 1.48, 1.49 sources, 1.10, 1.11 man-1.5m2-i18n_makewhatis.patch, 1.4, NONE man-1.5p-makewhatis2.patch, 1.2, NONE man-1.5p-makewhatis3.patch, 1.1, NONE man-1.5p-man2html.patch, 1.1, NONE man-1.5p-mandirlist.patch, 1.1, NONE



Author: varekova

Update of /cvs/dist/rpms/man/devel
In directory cvs.devel.redhat.com:/tmp/cvs-serv28505

Modified Files:
	.cvsignore man-1.5p-pipe_makewhatis.patch man-1.6b-rpm.patch 
	man.spec sources 
Added Files:
	man-1.6d-i18n_makewhatis.patch 
Removed Files:
	man-1.5m2-i18n_makewhatis.patch man-1.5p-makewhatis2.patch 
	man-1.5p-makewhatis3.patch man-1.5p-man2html.patch 
	man-1.5p-mandirlist.patch 
Log Message:
update to 1.6d


man-1.6d-i18n_makewhatis.patch:
 makewhatis.sh |  537 +++++++++++++++++++++++++++-------------------------------
 1 files changed, 258 insertions(+), 279 deletions(-)

--- NEW FILE man-1.6d-i18n_makewhatis.patch ---
--- man-1.6d/src/makewhatis.sh.pom	2006-06-10 01:14:34.000000000 +0200
+++ man-1.6d/src/makewhatis.sh	2006-06-22 13:41:25.000000000 +0200
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 # makewhatis: create the whatis database
 # Created: Sun Jun 14 10:49:37 1992
 # Revised: Sat Jan  8 14:12:37 1994 by faith cs unc edu
@@ -6,34 +6,6 @@
 # Copyright 1992, 1993, 1994 Rickard E. Faith (faith cs unc edu)
 # May be freely distributed and modified as long as copyright is retained.
 #
-# Wed Dec 23 13:27:50 1992: Rik Faith (faith cs unc edu) applied changes
-# based on Mitchum DSouza (mitchum dsouza mrc-apu cam ac uk) cat patches.
-# Also, cleaned up code and make it work with NET-2 doc pages.
-#
-# makewhatis-1.4: aeb 940802, 941007, 950417
-# Fixed so that the -c option works correctly for the cat pages
-# on my machine. Fix for -u by Nan Zou (nan ksu ksu edu).
-# Many minor changes.
-# The -s option is undocumented, and may well disappear again.
-#
-# Sat Mar 23 1996: Michael Hamilton (michael actrix gen nz).
-# I changed the script to invoke gawk only once for each directory tree.
-# This speeds things up considerably (from 30 minutes down to 1.5 minutes
-# on my 486DX66).
-# 960401 - aeb: slight adaptation to work correctly with cat pages.
-# 960510 - added fixes by brennan raven ca boeing com, author of mawk.
-# 971012 - replaced "test -z" - it doesnt work on SunOS 4.1.3_U1.
-# 980710 - be more careful with TMPFILE
-# 000323 - do not change PATH, better treatment of catpages - Bryan Henderson
-# 011117 - avoid suspicious filenames
-# 030310 - find files only; fix LAPACK cruft; no /usr/man default;
-#	use /dev/stderr instead of /dev/tty; handle files with strange names;
-#	add support for chinese, hungarian, indonesian, japanese, korean,
-#	polish, russian (Thierry Vignaud);
-#
-# Note for Slackware users: "makewhatis -v -w -c" will work.
-#
-# makewhatis aeb 030801 (from %version%)
 
 program=`basename $0`
 
@@ -57,33 +29,20 @@
 done
 DEFCATPATH=$dc
 
-# In case /usr is read-only, make /usr/foo/whatis (etc) a symlink to
-# something like /var/cache/man/foo-whatis.
-# Some distributions make a single big /var/cache/man/whatis file,
-# but that leads to problems and bugs.
-
-# AWK=/usr/bin/gawk
-AWK=%awk%
-
-# Find a place for our temporary files. If security is not a concern, use
-#	TMPFILE=/tmp/whatis$$; TMPFILEDIR=none
-# Of course makewhatis should only have the required permissions
-# (for reading and writing directories like /usr/man).
-# We try here to be careful (and avoid preconstructed symlinks)
-# in case makewhatis is run as root, by creating a subdirectory of /tmp.
-
-TMPFILEDIR=/tmp/whatis.tmp.dir.$$
-rm -rf TMPFILEDIR
-if ! mkdir -m 0700 $TMPFILEDIR; then
-    echo Could not create $TMPFILEDIR
-    exit 1;
-fi
-TMPFILE=$TMPFILEDIR/w
+# make a single big /var/cache/man/whatis file,
+DEFWHATIS=/var/cache/man/whatis
 
-# make sure TMPFILEDIR is deleted if program is killed or terminates
+AWK=/usr/bin/gawk
+
+# Find a place for our temporary files.
+
+if TMPFILE=$(mktemp /tmp/whatis.XXXXXX)
+then
+
+# make sure TMPFILE is deleted if program is killed or terminates
 # (just delete this line if your shell doesnt know about trap)
-trap "rm -rf $TMPFILEDIR" 0
-trap "rm -rf $TMPFILEDIR; exit 255" 1 2 3 15
+trap "rm -rf $TMPFILE" 0 
+trap "rm -rf $TMPFILEDIR; exit 255" 1 2 3 15 
 
 # default find arg: no directories, no empty files
 findarg0="-type f -size +0"
@@ -94,6 +53,7 @@
 defcatpath=
 
 sections="1 2 3 4 5 6 7 8 9 n l"
+whatisdb=$DEFWHATIS
 
 for name in "$@"
 do
@@ -102,6 +62,11 @@
 	sections=$name
 	continue
 fi
+if [ -n "$setwhatis" ]; then
+       setwhatis=
+       whatisdb=$name
+       continue
+fi
 case $name in
     --version|-V)
 	echo "$program from %version%"
@@ -112,6 +77,8 @@
 	continue;;
     -s) setsections=1
 	continue;;
+    -o) setwhatis=1
+        continue;;
     -u) findarg="-ctime 0"
 	update=1
 	continue;;
@@ -120,12 +87,13 @@
     -w) manpath=`man --path`
 	catpath=$manpath
 	continue;;
-    -*) echo "Usage: makewhatis [-s sections] [-u] [-v] [-w] [manpath] [-c [catpath]]"
+    -*) echo "Usage: makewhatis [-s sections] [-u] [-v] [-w] [manpath] [-c [catpath]] [-o whatisdb]"
 	echo "       This will build the whatis database for the man pages"
 	echo "       found in manpath and the cat pages found in catpath."
         echo "       -s: sections (default: $sections)"
 	echo "       -u: update database with new pages"
 	echo "       -v: verbose"
+        echo "       -o: location of whatis database (default: $DEFWHATIS)"
 	echo "       -w: use manpath obtained from \`man --path\`"
 	echo "       [manpath]: man directories (default: $DEFMANPATH)"
 	echo "       [catpath]: cat directories (default: the first existing"
@@ -153,14 +121,7 @@
 # first truncate all the whatis files that will be created new,
 # then only update - we might visit the same directory twice
 if [ x$update = x ]; then
-   for pages in man cat
-   do
-      eval path="\$$pages"path
-      for mandir in $path
-      do
-	 cp /dev/null $mandir/whatis
-      done
-   done
+   cp /dev/null $whatisdb
 fi
 
 for pages in man cat
@@ -172,11 +133,6 @@
      if [ x$verbose != x ]; then
 	echo "about to enter $mandir" > /dev/stderr
      fi
-     if [ -s ${mandir}/whatis -a $pages = man -a x$update = x ]; then
-	if [ x$verbose != x ]; then
-	   echo skipping $mandir - we did it already > /dev/stderr
-	fi
-     else      
        here=`pwd`
        cd $mandir
        for i in $sections
@@ -187,234 +143,257 @@
 	    section=$i
 	    curdir=$mandir/${pages}$i
 	    export section verbose curdir
-	    find $mandir/${pages}$i/. -name '*' $findarg0 $findarg -print | $AWK '
-
-	    function readline() {
-	      if (use_zcat || use_bzcat) {
-		result = (pipe_cmd | getline);
-		if (result < 0) {
-		  print "Pipe error: " pipe_cmd " " ERRNO > "/dev/stderr";
-		}
-	      } else {
-		result = (getline < filename);
-		if (result < 0) {
-		  print "Read file error: " filename " " ERRNO > "/dev/stderr";
-		}
-	      }
-	      return result;
+ 
+ 	    utf8=
+            for x in $(find $mandir/${pages}$i -name '*' $findarg0 $findarg)
+            do
+               if [ ${x%.gz} != ${x} ]
+               then
+                  cat=zcat
+               elif [ ${x%.bz2} != ${x} ]
+               then
+                  cat=bzcat
+               else
+                  cat=cat
+               fi
+   
+               if ${cat} ${x} | iconv -f utf-8 -t utf-8 -o /dev/null 2>/dev/null
+               then
+                  echo ${x} | $AWK '
+   
+    function readline() {
+      if (use_zcat || use_bzcat) {
+        result = (pipe_cmd | getline);
+        if (result < 0) {
+          print "Pipe error: " pipe_cmd " " ERRNO > "/dev/stderr";
+        }
+      } else {
+        result = (getline < filename);
+        if (result < 0) {
+          print "Read file error: " filename " " ERRNO > "/dev/stderr";
+        }
+      }
+      return result;
+    }
+   
+    function closeline() {
+      if (use_zcat || use_bzcat) {
+        return close(pipe_cmd);
+      } else {
+        return close(filename);
+      }
+    }
+   
+    function do_one() {
+      insh = 0; thisjoin = 1; done = 0;
+      entire_line = "";
+   
+      if (verbose) {
+        print "adding " filename > "/dev/stderr"
+      }
+
+      use_zcat = match(filename,"\\.Z$") ||
+                 match(filename,"\\.z$") || match(filename,"\\.gz$");
+      if (!use_zcat)
+        use_bzcat = match(filename,"\\.bz2");
+      if (use_zcat || use_bzcat) {
+        filename_no_gz = substr(filename, 0, RSTART - 1);
+      } else {
+        filename_no_gz = filename;
+      }
+      match(filename_no_gz, "/[^/]+$");
+      progname = substr(filename, RSTART + 1, RLENGTH - 1);
+      if (match(progname, "\\." section "[A-Za-z]+")) {
+        actual_section = substr(progname, RSTART + 1, RLENGTH - 1);
+      } else {
+        actual_section = section;
+      }
+      sub(/\..*/, "", progname);
+      if (use_zcat || use_bzcat) {
+        if (use_zcat) {
+          pipe_cmd = "zcat \"" filename "\"";
+        } else {
+          pipe_cmd = "bzcat \"" filename "\"";
+        }
+        # try to avoid suspicious stuff
+        if (filename ~ /[;&|`$(]/) {
+          print "ignored strange file name " filename " in " curdir > "/dev/stderr";
+          return;
+        }
+      }
+
+      while (!done && readline() > 0) {
+        gsub(/.\b/, "");
+        if (($1 ~ /^\.[Ss][Hh]/ &&
+           ($2 ~ /[Nn][Aa][Mm][Ee]/ ||   # en/de
+            $2 ~ /^JMÉNO/ ||            # cs
+            $2 ~ /^NAVN/ ||             # da
+            $2 ~ /^NUME/ ||             # ro
+            $2 ~ /^BEZEICHNUNG/ ||      # de
+            $2 ~ /^NOMBRE/ ||           # es
+            $2 ~ /^NIMI/ ||             # fi
+            $2 ~ /^NOM/ ||              # fr
+            $2 ~ /^IME/ ||              # sh
+            $2 ~ /^N[ÉE]V/ ||          # hu
+            $2 ~ /^NAMA/ ||             # XXX: what lang is this?
+            $2 ~ /^名前/ ||             # ja
+            $2 ~ /^이름/ ||             # ko
+            $2 ~ /^NAZWA/ ||            # pl
+            $2 ~ /^НАЗВАНИЕ/ || # ru
+            $2 ~ /^名称/ ||             # zh_CN/ja
+            $2 ~ /^名稱/ ||             # zh_TW
+            $2 ~ /^NOME/ ||             # it/pt
+            $2 ~ /^NAAM/)) ||           # nl
+          (pages == "cat" && $1 ~ /^NAME/)) {
+            if (!insh) {
+              insh = 1;
+            } else {
+              done = 1;
 	    }
-	    
-	    function closeline() {
-	      if (use_zcat || use_bzcat) {
-		return close(pipe_cmd);
+        } else if (insh) {
+          if ($1 ~ /^\.[Ss][HhYS]/ ||
+            (pages == "cat" &&
+            ($1 ~ /^S[yYeE]/ || $1 ~ /^DESCRIPTION/ ||
+             $1 ~ /^COMMAND/ || $1 ~ /^OVERVIEW/ ||
+             $1 ~ /^STRUCTURES/ || $1 ~ /^INTRODUCTION/ ||
+             $0 ~ /^[^ ]/))) {
+              # end insh for Synopsis, Syntax, but also for
+              # DESCRIPTION (e.g., XFree86.1x),
+              # COMMAND (e.g., xspread.1)
+              # OVERVIEW (e.g., TclCommandWriting.3)
+              # STRUCTURES (e.g., XEvent.3x)
+              # INTRODUCTION (e.g., TclX.n)
+              # and anything at all that begins in Column 1, so
+              # is probably a section header.
+            done = 1;
+          } else {
+            if ($0 ~ progname"-") {  # Fix old cat pages
+                sub(progname"-", progname" - ");
+   	    }	    
+            if ($0 ~ /[^ \\]-$/) {
+              sub(/-$/, "");      # Handle Hyphenations
+              nextjoin = 1;
+            } else if ($0 ~ /\\c$/) {
+              sub(/\\c$/, "");    # Handle Continuations
+              nextjoin = 1;
+            } else
+              nextjoin = 0;
+ 
+            sub(/^.[IB] /, "");       # Kill bold and italics
+            sub(/^.BI /, "");         #
+            sub(/^.SM /, "");         # Kill small
+            sub(/^.Nm /, "");         # Kill bold
+            sub(/^.Tn /, "");         # Kill normal
+            sub(/^.Li /, "");         # Kill .Li
+            sub(/^.Dq /, "");         # Kill .Dq
+            sub(/^.Nd */, "- ");      # Convert .Nd to dash
+            sub(/\\\".*/, "");        # Trim pending comments
+            sub(/  *$/, "");          # Trim pending spaces
+            sub(/^\.$/, "");          # Kill blank comments
+            sub(/^'"'"'.*/, "");      # Kill comment/troff lines
+            sub(/^.in .*/, "");       # Kill various macros
+            sub(/^.ti .*/, "");
+            sub(/^.ta .*/, "");
+            sub(/^.Vb .*/, "");
+            sub(/^.[PLTH]P$/, "");    # .PP/.LP/.TP/.HP
+            sub(/^.Pp$/, "");
+            sub(/^.[iI]X .*$/, "");
+            sub(/^.nolinks$/, "");
+            sub(/^.B$/, "");
+            sub(/^.nf$/, "");
+
+            if (($1 ~ /^\.../ || $1 == "") &&
+                (entire_line ~ / - / || entire_line ~ / \\- /)) {
+              # Assume that this ends the description of one line
+              # Sometimes there are several descriptions in one page,
+              # as in outb(2).
+              handle_entire_line();
+ 	      entire_line = "";
+              thisjoin = 1;
+            } else {
+              if (thisjoin) {
+                entire_line = entire_line $0;
 	      } else {
-		return close(filename);
+                entire_line = entire_line " " $0;
 	      }
+              thisjoin = nextjoin;
 	    }
-	    
-	    function do_one() {
-	      insh = 0; thisjoin = 1; done = 0;
-	      entire_line = "";
+          }
+        }
+      }
+      handle_entire_line();
+      closeline();
+    }
+
+    function handle_entire_line() {
+      x = entire_line;             # Keep it short
+
+      gsub(/\015/, "", x);         # Kill DOS remains
+      gsub(/	/, " ", x);        # Translate tabs to spaces
+      gsub(/  +/, " ", x);         # Collapse spaces
+      gsub(/ *, */, ", ", x);      # Fix comma spacings
+      sub(/^ /, "", x);            # Kill initial spaces
+      sub(/ $/, "", x);            # Kill trailing spaces
+      sub(/__+/, "_", x);          # Collapse underscores
+
+      gsub(/\\f\(../, "", x);         # Kill font changes
+      gsub(/\\f[PRIB0123]/, "", x);   # Kill font changes
+      gsub(/\\s[-+0-9]*/, "", x);     # Kill size changes
+      gsub(/\\&/, "", x);             # Kill \&
+      gsub(/\\\|/, "", x);            # Kill \|
+      gsub(/\\\((ru|ul)/, "_", x);    # Translate
+      gsub(/\\\((mi|hy|em)/, "-", x); # Translate
+      gsub(/\\\*\(../, "", x);        # Kill troff strings
+      gsub(/\\/, "", x);              # Kill all backslashes
+      gsub(/"/, "", x);               # Kill quotes (from .Nd "foo bar")
+      sub(/<h1 align=center>/, "", x);# Yuk! HTML cruft
+      gsub(/\000.*/, "X", x);         # Binary cruft in LAPACK pages
+      gsub(/  +/, " ", x);            # Collapse spaces (again)
+      sub(/^ /, "", x);               # Kill initial spaces (again)
+      sub(/ $/, "", x);               # Kill trailing spaces (again)
+      sub(/\.$/, "", x);              # Kill trailing period
+
+      if (!match(x, / - /))
+        return;
+
+      after_dash = substr(x, RSTART);
+      head = substr(x, 1, RSTART-1) ", ";
+      while (match(head, /, /)) {
+        prog = substr(head, 1, RSTART-1);
+        head = substr(head, RSTART+2);
+        if (prog != progname)
+          prog = prog " [" progname "]";
+        printf "%-*s (%s) %s\n", 20, prog, actual_section, after_dash;
+      }
+    }
+
+    {                  # Main action - process each filename read in.
+      filename = $0;
+      do_one();
+    }
 
-	      if (verbose) {
-		print "adding " filename > "/dev/stderr"
-	      }
-	      
-	      use_zcat = match(filename,"\\.Z$") ||
-			 match(filename,"\\.z$") || match(filename,"\\.gz$");
-	      if (!use_zcat)
-		use_bzcat = match(filename,"\\.bz2");
-	      if (use_zcat || use_bzcat) {
-		filename_no_gz = substr(filename, 0, RSTART - 1);
-	      } else {
-		filename_no_gz = filename;
-	      }
-	      match(filename_no_gz, "/[^/]+$");
-	      progname = substr(filename, RSTART + 1, RLENGTH - 1);
-	      if (match(progname, "\\." section "[A-Za-z]+")) {
-		actual_section = substr(progname, RSTART + 1, RLENGTH - 1);
-	      } else {
-		actual_section = section;
-	      }
-	      sub(/\..*/, "", progname);
-	      if (use_zcat || use_bzcat) {
-		if (use_zcat) {
-		  pipe_cmd = "zcat \"" filename "\"";
-		} else {
-		  pipe_cmd = "bzcat \"" filename "\"";
-		}
-		# try to avoid suspicious stuff
-		if (filename ~ /[;&|`$(]/) {
-		  print "ignored strange file name " filename " in " curdir > "/dev/stderr";
-		  return;
-		}
-	      }
-	    
-	      while (!done && readline() > 0) {
-		gsub(/.\b/, "");
-		if (($1 ~ /^\.[Ss][Hh]/ &&
-		  ($2 ~ /[Nn][Aa][Mm][Ee]/ ||
-		   $2 ~ /^JMÉNO/ || $2 ~ /^NAVN/ || $2 ~ /^NUME/ ||
-		   $2 ~ /^BEZEICHNUNG/ || $2 ~ /^NOMBRE/ ||
-		   $2 ~ /^NIMI/ || $2 ~ /^NOM/ || $2 ~ /^IME/ ||
-		   $2 ~ /^N[ÉE]V/ || $2 ~ /^NAMA/ || $2 ~ /^̾Á°/ ||
-		   $2 ~ /^̾¾Î/ || $2 ~ /^À̸§/ || $2 ~ /^NAZWA/ ||
-		   $2 ~ /^îáú÷áîéå/ || $2 ~ /^Ãû³Æ/ || $2 ~ /^¦WºÙ/ ||
-		   $2 ~ /^NOME/ || $2 ~ /^NAAM/ || $2 ~ /^ÈÌÅ/)) ||
-		  (pages == "cat" && $1 ~ /^NAME/)) {
-		    if (!insh) {
-		      insh = 1;
-		    } else {
-		      done = 1;
-		    }
-		} else if (insh) {
-		  if ($1 ~ /^\.[Ss][HhYS]/ ||
-		    (pages == "cat" &&
-		    ($1 ~ /^S[yYeE]/ || $1 ~ /^DESCRIPTION/ ||
-		     $1 ~ /^COMMAND/ || $1 ~ /^OVERVIEW/ ||
-		     $1 ~ /^STRUCTURES/ || $1 ~ /^INTRODUCTION/ ||
-		     $0 ~ /^[^ ]/))) {
-		      # end insh for Synopsis, Syntax, but also for
-		      # DESCRIPTION (e.g., XFree86.1x),
-		      # COMMAND (e.g., xspread.1)
-		      # OVERVIEW (e.g., TclCommandWriting.3)
-		      # STRUCTURES (e.g., XEvent.3x)
-		      # INTRODUCTION (e.g., TclX.n)
-		      # and anything at all that begins in Column 1, so 
-		      # is probably a section header.
-		    done = 1;
-		  } else {
-		    if ($0 ~ progname"-") {  # Fix old cat pages
-			sub(progname"-", progname" - ");
-		    }
-		    if ($0 ~ /[^ \\]-$/) {
-		      sub(/-$/, "");	  # Handle Hyphenations
-		      nextjoin = 1;
-		    } else if ($0 ~ /\\c$/) {
-		      sub(/\\c$/, "");	  # Handle Continuations
-		      nextjoin = 1;
-		    } else
-		      nextjoin = 0;
-
-		    sub(/^.[IB] /, "");       # Kill bold and italics
-		    sub(/^.BI /, "");         #
-		    sub(/^.SM /, "");         # Kill small
-		    sub(/^.Nm /, "");         # Kill bold
-		    sub(/^.Tn /, "");         # Kill normal
-	            sub(/^.Li /, "");         # Kill .Li
-	            sub(/^.Dq /, "");         # Kill .Dq
-	            sub(/^.Nd */, "- ");      # Convert .Nd to dash
-		    sub(/\\\".*/, "");        # Trim pending comments
-		    sub(/  *$/, "");          # Trim pending spaces
-		    sub(/^\.$/, "");          # Kill blank comments
-		    sub(/^'"'"'.*/, "");      # Kill comment/troff lines
-		    sub(/^.in .*/, "");       # Kill various macros
-		    sub(/^.ti .*/, "");
-		    sub(/^.ta .*/, "");
-		    sub(/^.Vb .*/, "");
-		    sub(/^.[PLTH]P$/, "");    # .PP/.LP/.TP/.HP
-		    sub(/^.Pp$/, "");
-		    sub(/^.[iI]X .*$/, "");
-		    sub(/^.nolinks$/, "");
-		    sub(/^.B$/, "");
-		    sub(/^.nf$/, "");
-
-		    if (($1 ~ /^\.../ || $1 == "") &&
-		        (entire_line ~ / - / || entire_line ~ / \\- /)) {
-		      # Assume that this ends the description of one line
-		      # Sometimes there are several descriptions in one page,
-		      # as in outb(2).
-		      handle_entire_line();
-		      entire_line = "";
-		      thisjoin = 1;
-		    } else {
-		      if (thisjoin) {
-			entire_line = entire_line $0;
-		      } else {
-			entire_line = entire_line " " $0;
-		      }
-		      thisjoin = nextjoin;
-		    }
-		  }
-		}
-	      }
-	      handle_entire_line();
-	      closeline();
-	    }
-
-	    function handle_entire_line() {
-	      x = entire_line;             # Keep it short
-
-	      gsub(/\015/, "", x);         # Kill DOS remains
-	      gsub(/	/, " ", x);        # Translate tabs to spaces
-	      gsub(/  +/, " ", x);         # Collapse spaces
-	      gsub(/ *, */, ", ", x);      # Fix comma spacings
-	      sub(/^ /, "", x);            # Kill initial spaces
-	      sub(/ $/, "", x);            # Kill trailing spaces
-	      sub(/__+/, "_", x);          # Collapse underscores
-
-	      gsub(/\\f\(../, "", x);         # Kill font changes
-	      gsub(/\\f[PRIB0123]/, "", x);   # Kill font changes
-	      gsub(/\\s[-+0-9]*/, "", x);     # Kill size changes
-	      gsub(/\\&/, "", x);             # Kill \&
-	      gsub(/\\\|/, "", x);            # Kill \|
-	      gsub(/\\\((ru|ul)/, "_", x);    # Translate
-	      gsub(/\\\((mi|hy|em)/, "-", x); # Translate
-	      gsub(/\\\*\(../, "", x);        # Kill troff strings
-	      gsub(/\\/, "", x);              # Kill all backslashes
-	      gsub(/"/, "", x);               # Kill quotes (from .Nd "foo bar")
-	      sub(/<h1 align=center>/, "", x);# Yuk! HTML cruft
-	      gsub(/\000.*/, "X", x);         # Binary cruft in LAPACK pages
-	      gsub(/  +/, " ", x);            # Collapse spaces (again)
-	      sub(/^ /, "", x);               # Kill initial spaces (again)
-	      sub(/ $/, "", x);               # Kill trailing spaces (again)
-	      sub(/\.$/, "", x);              # Kill trailing period
-
-	      if (!match(x, / - /))
-		return;
-
-	      after_dash = substr(x, RSTART);
-	      head = substr(x, 1, RSTART-1) ", ";
-	      while (match(head, /, /)) {
-		prog = substr(head, 1, RSTART-1);
-		head = substr(head, RSTART+2);
-		if (prog != progname)
-		  prog = prog " [" progname "]";
-		printf "%-*s (%s) %s\n", 20, prog, actual_section, after_dash;
-	      }
-	    }
-
-	    {			# Main action - process each filename read in.
-	      filename = $0;
-	      do_one();
-	    }
 	    ' pages=$pages section=$section verbose=$verbose curdir=$curdir
+               fi
+            done
 	    cd ..
 	 fi
        done > $TMPFILE
 
        cd $here
 
-       # kludge for Slackware's /usr/man/preformat
-       if [ $mandir = /usr/man/preformat ]
-       then
-	 mandir1=/usr/man
-       else
-	 mandir1=$mandir
-       fi
-
-       if [ -f ${mandir1}/whatis ]
+       if [ -f ${whatisdb} ]
        then
-	 cat ${mandir1}/whatis >> $TMPFILE
+         cat ${whatisdb} >> $TMPFILE
        fi
-       tr -s '\n' < $TMPFILE | sort -u > ${mandir1}/whatis
+       tr -s '\n' < $TMPFILE | sort -u > ${whatisdb}
 
-       chmod 644 ${mandir1}/whatis
-       rm $TMPFILE
-     fi
+       chmod 644 ${whatisdb}
    done
 done
 
 # remove tempdir
-rm -rf $TMPFILEDIR
+rm -rf $TMPFILE
 
+else            # we're here if TMPFILE creation failed
+    exit 1
+fi


Index: .cvsignore
===================================================================
RCS file: /cvs/dist/rpms/man/devel/.cvsignore,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- .cvsignore	2 Feb 2006 19:35:39 -0000	1.10
+++ .cvsignore	22 Jun 2006 12:36:33 -0000	1.11
@@ -1,2 +1 @@
-man-1.6b.tar.gz
-man-1.6c.tar.gz
+man-1.6d.tar.gz

man-1.5p-pipe_makewhatis.patch:
 makewhatis.sh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Index: man-1.5p-pipe_makewhatis.patch
===================================================================
RCS file: /cvs/dist/rpms/man/devel/man-1.5p-pipe_makewhatis.patch,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- man-1.5p-pipe_makewhatis.patch	17 May 2005 07:04:13 -0000	1.2
+++ man-1.5p-pipe_makewhatis.patch	22 Jun 2006 12:36:33 -0000	1.3
@@ -1,14 +1,14 @@
---- man-1.5p/src/makewhatis.sh.pipe	2005-05-12 15:23:07.635109152 +0200
-+++ man-1.5p/src/makewhatis.sh	2005-05-12 15:24:19.780141440 +0200
-@@ -208,9 +208,9 @@
+--- man-1.6d/src/makewhatis.sh.pom	2006-06-22 14:07:20.000000000 +0200
++++ man-1.6d/src/makewhatis.sh	2006-06-22 14:08:40.000000000 +0200
+@@ -211,9 +211,9 @@
        sub(/\..*/, "", progname);
        if (use_zcat || use_bzcat) {
- 	if (use_zcat) {
--	  pipe_cmd = "zcat \"" filename "\"";
-+	  pipe_cmd = "zcat \"" filename "\" 2>/dev/null";
- 	} else {
--	  pipe_cmd = "bzcat \"" filename "\"";
-+	  pipe_cmd = "bzcat \"" filename "\" 2>/dev/null";
- 	}
- 	# try to avoid suspicious stuff
- 	if (filename ~ /[;&|`$(]/) {
+         if (use_zcat) {
+-          pipe_cmd = "zcat \"" filename "\"";
++          pipe_cmd = "zcat \"" filename "\" 2>/dev/null";
+         } else {
+-          pipe_cmd = "bzcat \"" filename "\"";
++          pipe_cmd = "bzcat \"" filename "\" 2>/dev/null";
+         }
+         # try to avoid suspicious stuff
+         if (filename ~ /[;&|`$(]/) {

man-1.6b-rpm.patch:
 makewhatis.sh |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

Index: man-1.6b-rpm.patch
===================================================================
RCS file: /cvs/dist/rpms/man/devel/man-1.6b-rpm.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- man-1.6b-rpm.patch	13 Dec 2005 15:25:05 -0000	1.1
+++ man-1.6b-rpm.patch	22 Jun 2006 12:36:33 -0000	1.2
@@ -1,11 +1,11 @@
---- man-1.6b/src/makewhatis.sh.rpm	2005-12-13 15:26:24.000000000 +0100
-+++ man-1.6b/src/makewhatis.sh	2005-12-13 15:28:24.450640320 +0100
-@@ -118,7 +118,7 @@
+--- man-1.6d/src/makewhatis.sh.pom	2006-06-22 14:13:06.000000000 +0200
++++ man-1.6d/src/makewhatis.sh	2006-06-22 14:14:28.000000000 +0200
+@@ -121,7 +121,7 @@
  # first truncate all the whatis files that will be created new,
  # then only update - we might visit the same directory twice
  if [ x$update = x ]; then
--    cp /dev/null $whatisdb
-+ rpm -qa --queryformat '%-19{NAME} (rpm) - %{SUMMARY}\r' | tr -d '\n' | tr '\r' '\n' >$whatisdb
+-   cp /dev/null $whatisdb
++   rpm -qa --queryformat '%-19{NAME} (rpm) - %{SUMMARY}\r' | tr -d '\n' | tr '\r' '\n' >$whatisdb
  fi
  
  for pages in man cat


Index: man.spec
===================================================================
RCS file: /cvs/dist/rpms/man/devel/man.spec,v
retrieving revision 1.48
retrieving revision 1.49
diff -u -r1.48 -r1.49
--- man.spec	22 Jun 2006 08:56:22 -0000	1.48
+++ man.spec	22 Jun 2006 12:36:33 -0000	1.49
@@ -3,8 +3,8 @@
 
 Summary: A set of documentation tools: man, apropos and whatis.
 Name: man
-Version: 1.6c
-Release: 4
+Version: 1.6d
+Release: 1
 License: GPL
 Group: System Environment/Base
 Source0: http://primates.ximian.com/~flucifredi/man/man-%{version}.tar.gz
@@ -14,13 +14,8 @@
 Patch1: man-1.5m2-confpath.patch
 Patch2: man-1.5h1-make.patch
 Patch6: man-1.5m2-apropos.patch
-Patch7: man-1.5m2-lc_all.patch
-Patch10: man-1.5m2-i18n_makewhatis.patch
+Patch10: man-1.6d-i18n_makewhatis.patch
 Patch12: man-1.5m2-posix.patch
-Patch13: man-1.5p-makewhatis2.patch
-Patch14: man-1.5p-makewhatis3.patch
-Patch15: man-1.5p-mandirlist.patch
-Patch16: man-1.5p-man2html.patch
 Patch18: man-1.5p-pipe_makewhatis.patch
 Patch19: man-1.5p-sec.patch
 Patch20: man-1.5p-xorg.patch
@@ -51,13 +46,8 @@
 %patch1 -p1 -b .confpath
 %patch2 -p1 -b .make
 %patch6 -p1 -b .apropos
-%patch7 -p1 -b .lc_all
 %patch10 -p1 -b .i18n_makewhatis
 %patch12 -p1 -b .posix
-%patch13 -p1 -b .trap
-%patch14 -p1 -b .update
-%patch15 -p1 -b .lang
-%patch16 -p1 -b .man2html
 %patch18 -p1 -b .pipe
 %patch19 -p1 -b .sec
 %patch20 -p1 -b .xorg
@@ -322,6 +312,9 @@
 %attr(0775,root,man)	%dir %{cache}/X11R6/cat[123456789n]
 
 %changelog
+* Thu Jun 22 2006 Ivana Varekova <varekova redhat com> - 1.6d-1
+- update to 1.6d
+
 * Thu Jun 22 2006 Ivana Varekova <varekova redhat com> - 1.6c-4
 - add directories to file list (bug 192995)
 


Index: sources
===================================================================
RCS file: /cvs/dist/rpms/man/devel/sources,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- sources	2 Feb 2006 19:35:39 -0000	1.10
+++ sources	22 Jun 2006 12:36:33 -0000	1.11
@@ -1 +1 @@
-ac1e7d60dfedb7d1c6f398ae5b038996  man-1.6c.tar.gz
+36d3f65bcc10f0754a3234e00d92ad6d  man-1.6d.tar.gz


--- man-1.5m2-i18n_makewhatis.patch DELETED ---


--- man-1.5p-makewhatis2.patch DELETED ---


--- man-1.5p-makewhatis3.patch DELETED ---


--- man-1.5p-man2html.patch DELETED ---


--- man-1.5p-mandirlist.patch DELETED ---


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]